
package eu.dnetlib.dhp.schema.oaf;

import java.io.Serializable;
import java.util.Objects;
import java.util.Optional;

public class DataInfo implements Serializable {

	private Boolean inferred;
	private float trust;
	private String inferenceprovenance;
	private Qualifier provenanceaction;

	public Boolean getInferred() {
		return inferred;
	}

	public void setInferred(Boolean inferred) {
		this.inferred = inferred;
	}

	public float getTrust() {
		return trust;
	}

	public void setTrust(float trust) {
		this.trust = trust;
	}

	public String getInferenceprovenance() {
		return inferenceprovenance;
	}

	public void setInferenceprovenance(String inferenceprovenance) {
		this.inferenceprovenance = inferenceprovenance;
	}

	public Qualifier getProvenanceaction() {
		return provenanceaction;
	}

	public void setProvenanceaction(Qualifier provenanceaction) {
		this.provenanceaction = provenanceaction;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (o == null || getClass() != o.getClass())
			return false;
		DataInfo dataInfo = (DataInfo) o;
		return Objects.equals(inferred, dataInfo.inferred)
			&& Objects.equals(trust, dataInfo.trust)
			&& Objects.equals(inferenceprovenance, dataInfo.inferenceprovenance)
			&& Objects.equals(provenanceaction, dataInfo.provenanceaction);
	}

	@Override
	public int hashCode() {
		return Objects
			.hash(
				inferred, trust, inferenceprovenance, provenanceaction);
	}
}
