
package eu.dnetlib.dhp.schema.oaf;

import java.io.Serializable;
import java.util.List;

public class Project extends Entity implements Serializable {

	private  String websiteurl;

	private  String code;

	private  String acronym;

	private  String title;

	private  String startdate;

	private  String enddate;

	private  String callidentifier;

	private  String keywords;

	private  String duration;

	private  String ecsc39;

	private  String oamandatepublications;

	private  String ecarticle29_3;

	private List<StructuredProperty> subjects;

	private List<String> fundingtree;

	private Qualifier contracttype;

	private  String optional1;

	private  String optional2;

	private  String jsonextrainfo;

	private  String contactfullname;

	private  String contactfax;

	private  String contactphone;

	private  String contactemail;

	private  String summary;

	private  String currency;

	private Float totalcost;

	private Float fundedamount;

	private String h2020topiccode;

	private String h2020topicdescription;

	private List<H2020Classification>h2020classification;

	public String getH2020topicdescription() {
		return h2020topicdescription;
	}

	public void setH2020topicdescription(String h2020topicdescription) {
		this.h2020topicdescription = h2020topicdescription;
	}

	public String getH2020topiccode() {
		return h2020topiccode;
	}

	public void setH2020topiccode(String h2020topiccode) {
		this.h2020topiccode = h2020topiccode;
	}

	public List<H2020Classification> getH2020classification() {
		return h2020classification;
	}

	public void setH2020classification(List<H2020Classification> h2020classification) {
		this.h2020classification = h2020classification;
	}

	public  String getWebsiteurl() {
		return websiteurl;
	}

	public void setWebsiteurl( String websiteurl) {
		this.websiteurl = websiteurl;
	}

	public  String getCode() {
		return code;
	}

	public void setCode( String code) {
		this.code = code;
	}

	public  String getAcronym() {
		return acronym;
	}

	public void setAcronym( String acronym) {
		this.acronym = acronym;
	}

	public  String getTitle() {
		return title;
	}

	public void setTitle( String title) {
		this.title = title;
	}

	public  String getStartdate() {
		return startdate;
	}

	public void setStartdate( String startdate) {
		this.startdate = startdate;
	}

	public  String getEnddate() {
		return enddate;
	}

	public void setEnddate( String enddate) {
		this.enddate = enddate;
	}

	public  String getCallidentifier() {
		return callidentifier;
	}

	public void setCallidentifier( String callidentifier) {
		this.callidentifier = callidentifier;
	}

	public  String getKeywords() {
		return keywords;
	}

	public void setKeywords( String keywords) {
		this.keywords = keywords;
	}

	public  String getDuration() {
		return duration;
	}

	public void setDuration( String duration) {
		this.duration = duration;
	}

	public  String getEcsc39() {
		return ecsc39;
	}

	public void setEcsc39( String ecsc39) {
		this.ecsc39 = ecsc39;
	}

	public  String getOamandatepublications() {
		return oamandatepublications;
	}

	public void setOamandatepublications( String oamandatepublications) {
		this.oamandatepublications = oamandatepublications;
	}

	public  String getEcarticle29_3() {
		return ecarticle29_3;
	}

	public void setEcarticle29_3( String ecarticle29_3) {
		this.ecarticle29_3 = ecarticle29_3;
	}

	public List<StructuredProperty> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<StructuredProperty> subjects) {
		this.subjects = subjects;
	}

	public List< String> getFundingtree() {
		return fundingtree;
	}

	public void setFundingtree(List< String> fundingtree) {
		this.fundingtree = fundingtree;
	}

	public Qualifier getContracttype() {
		return contracttype;
	}

	public void setContracttype(Qualifier contracttype) {
		this.contracttype = contracttype;
	}

	public  String getOptional1() {
		return optional1;
	}

	public void setOptional1( String optional1) {
		this.optional1 = optional1;
	}

	public  String getOptional2() {
		return optional2;
	}

	public void setOptional2( String optional2) {
		this.optional2 = optional2;
	}

	public  String getJsonextrainfo() {
		return jsonextrainfo;
	}

	public void setJsonextrainfo( String jsonextrainfo) {
		this.jsonextrainfo = jsonextrainfo;
	}

	public  String getContactfullname() {
		return contactfullname;
	}

	public void setContactfullname( String contactfullname) {
		this.contactfullname = contactfullname;
	}

	public  String getContactfax() {
		return contactfax;
	}

	public void setContactfax( String contactfax) {
		this.contactfax = contactfax;
	}

	public  String getContactphone() {
		return contactphone;
	}

	public void setContactphone( String contactphone) {
		this.contactphone = contactphone;
	}

	public  String getContactemail() {
		return contactemail;
	}

	public void setContactemail( String contactemail) {
		this.contactemail = contactemail;
	}

	public  String getSummary() {
		return summary;
	}

	public void setSummary( String summary) {
		this.summary = summary;
	}

	public  String getCurrency() {
		return currency;
	}

	public void setCurrency( String currency) {
		this.currency = currency;
	}

	public Float getTotalcost() {
		return totalcost;
	}

	public void setTotalcost(Float totalcost) {
		this.totalcost = totalcost;
	}

	public Float getFundedamount() {
		return fundedamount;
	}

	public void setFundedamount(Float fundedamount) {
		this.fundedamount = fundedamount;
	}

}
