package eu.dnetlib.dhp.schema.oaf;

import java.util.Objects;

public class EntityDataInfo extends DataInfo {

    private Boolean invisible = false;
    private Boolean deletedbyinference = false;


    public Boolean getInvisible() {
        return invisible;
    }

    public void setInvisible(Boolean invisible) {
        this.invisible = invisible;
    }

    public Boolean getDeletedbyinference() {
        return deletedbyinference;
    }

    public void setDeletedbyinference(Boolean deletedbyinference) {
        this.deletedbyinference = deletedbyinference;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        EntityDataInfo dataInfo = (EntityDataInfo) o;
        return super.equals(o) && Objects.equals(invisible, dataInfo.invisible)
                && Objects.equals(deletedbyinference, dataInfo.deletedbyinference);
    }

    @Override
    public int hashCode() {
        return Objects
                .hash(super.hashCode(), invisible, deletedbyinference);
    }

}
